---@class AddonPrivate
local Private = select(2, ...)

local addon = Private.Addon

function addon:OnEnable(...)
    if not _G.MetaTracker_FarewellToArmsDB then
        _G.MetaTracker_FarewellToArmsDB = { -- Default settings
            minimap = { hide = false, minimapPos = 220 },
        }
    end
    self.DB = _G.MetaTracker_FarewellToArmsDB

    Private.MinimapButton:Initialize()
    Private.Commands:InitCommands()
    Private.UI:CreateUI()
end

Private.ExpansionUtil:InitLibStub()